<form #formRef *ngIf="vacature">
  <ul class="nav nav-pills nav-justified">
    <li class="nav-item" id="Algemeen">
      <a class="nav-link hoverTabs" aria-current="page"  [class.tabColour]="this.id === 'Algemeen'" (click)="tabChange('Algemeen')">Algemeen</a>
    </li>
    <li class="nav-item" id="Werkervaring">
      <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Werkervaring'" (click)="tabChange('Werkervaring')">Werkervaring</a>
    </li>
    <li class="nav-item" id="Opleiding">
      <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Opleiding'" (click)="tabChange('Opleiding')">Opleiding</a>
    </li>
    <li class="nav-item" id="Kwalificatie">
      <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Kwalificatie'" (click)="tabChange('Kwalificatie')">Kwalificatie</a>
    </li>
    <li class="nav-item" id="Overzicht">
      <a class="nav-link hoverTabs" aria-current="page" [class.tabColour]="this.id === 'Overzicht'" (click)="tabChange('Overzicht')">Overzicht</a>
    </li>
  </ul>

  <h2>Vacatures</h2>

  <div class="row border-top mb-3" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-basic-information-match [data]="vacature"></app-basic-information-match>
    </div>
    <div class="col-5">
      <app-arbeidsvoorwaarden-match [data]="vacature"></app-arbeidsvoorwaarden-match>
    </div>
  </div>


  <div class="row border-top mb-3" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-flexibiliteit-match [data]="vacature"></app-flexibiliteit-match>
    </div>
    <div class="col-5">
      <app-werktijden-match [data]="vacature"></app-werktijden-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Werkervaring' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-beroep-match [data]="vacature"></app-beroep-match>
    </div>
    <div class="col-5">
      <app-sector-match [data]="vacature"></app-sector-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-contractvorm-match [data]="vacature"></app-contractvorm-match>
    </div>
    <div class="col-5">
      <app-sollicitatiewijze-match [data]="vacature"></app-sollicitatiewijze-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Werkervaring' || id === 'Overzicht' || id === 'Algemeen'">
    <div class="col-5 border-right" *ngIf="id === 'Werkervaring' || id === 'Overzicht'">
      <app-werkervaring-match [data]="vacature"></app-werkervaring-match>
    </div>
    <div class="col-5" *ngIf="id === 'Algemeen' || id === 'Overzicht'">
      <app-vervoermiddel-match [data]="vacature"></app-vervoermiddel-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Opleiding' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-cursus-match [data]="vacature"></app-cursus-match>
    </div>
    <div class="col-5">
      <app-opleiding-match [data]="vacature"></app-opleiding-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Kwalificatie' || id === 'Overzicht'">
    <div class="col-5 border-right">
      <app-gedragscompetentie-match [data]="vacature"></app-gedragscompetentie-match>
    </div>
    <div class="col-5">
      <app-vakvaardigheid-match [data]="vacature"></app-vakvaardigheid-match>
    </div>
  </div>

  <div class="row border-top mb-3" *ngIf="id === 'Opleiding' || id === 'Kwalificatie' || id === 'Overzicht'">
    <div class="col-5 border-right" *ngIf="id === 'Kwalificatie' || id === 'Overzicht'">
      <app-taalbeheersing-match [data]="vacature"></app-taalbeheersing-match>
    </div>
    <div class="col-5" *ngIf="id === 'Opleiding' || id === 'Overzicht'">
      <app-rijbewijs-match [data]="vacature"></app-rijbewijs-match>
    </div>
  </div>
</form>

<div class="row mt-3">
  <div class="col-12">
    <button type="button" class="btn btn-secondary mb-3 mr-3" (click)="goBack()">
      <app-go-back-svg></app-go-back-svg>
      Ga terug
    </button>


    <a routerLink="/vacature/detail/{{vraagId}}/{{vumId}}">
      <button type="button" class="btn btn-secondary mb-3 mr-3">
        <app-download-svg></app-download-svg>
        Vraag detail vacature aan
      </button>
    </a>

    <button type="button" class="btn btn-secondary mb-3" (click)="generatePdf()">
      <app-pdf-svg></app-pdf-svg>
      PDF
    </button>

    <div *ngIf="loadingStatus" class="spinner-border" role="status">
      <span class="sr-only">Loading...</span>
    </div>

  </div>
</div>




